WordPress.org

Plugin Directory

Slash Admin

More than a dozen of settings aiming at creating a friendlier administration environment for both Administrators and Editors.

  1. slash-admin screenshot 1

    Appearance

  2. slash-admin screenshot 2

    Administration

  3. slash-admin screenshot 3

    Frontend usability

  4. slash-admin screenshot 4

    Backend usability

  5. slash-admin screenshot 5

    Compatibility

  6. slash-admin screenshot 6

    The Old Browser warning message

Requires: 3.0 or higher
Compatible up to: 4.1.5
Last Updated: 2014-12-25
Active Installs: 200+

Ratings

5 out of 5 stars

Support

1 of 1 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1 100,1,1 100,1,1 100,1,1
100,1,1 100,1,1 100,1,1 100,1,1
100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1
100,1,1 100,1,1
50,2,1